/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdRuta;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdRuta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdRuta prodRuta = (ProdRuta) o;

        Listcell lc = null;

        Ruta ruta = prodRuta.getRuta();
        if (ruta != null) {
            lc = new Listcell(ruta.getDescruta());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodRuta);
    }
}
